% Marker parameters
% marker_ids: (array of integers )
% marker_3Dcorners: 3D coordinates stored as a thre-dimensional array (j;k;i): 
%             j: index four corners of the marker 
%             k: index thre-dimensional coordinates (X;Y;Z)
%             i: index of the marker_ids array 


marker_ids = [142, 964, 814, 892, 248, 79];

clear marker_3Dcorners;

marker_3Dcorners(:,:,1) =  [ [ 57.; 57.; 0. ], [ 57.; 0.; 0. ], [ 0.; 0.; 0. ],  [ 0.; 57.; 0. ] ];
marker_3Dcorners(:,:,2) =  [ [ 57.; 128.; 0. ], [ 57.; 71.; 0. ], [ 0.; 71.; 0. ],  [ 0.; 128.; 0. ] ];
marker_3Dcorners(:,:,3) =  [ [ 57.; 199.; 0. ], [ 57.; 142.; 0. ], [ 0.; 142.; 0. ],  [ 0.; 199.; 0. ] ];
marker_3Dcorners(:,:,4) =  [ [ 128.; 57.; 0. ], [ 128.; 0.; 0. ], [ 71.; 0.; 0. ],  [ 71.; 57.; 0. ] ];
marker_3Dcorners(:,:,5) =  [ [ 128.; 128.; 0. ], [ 128.; 71.; 0. ], [ 71.; 71.; 0. ],  [ 71.; 128.; 0. ] ];
marker_3Dcorners(:,:,6) =  [ [ 128.; 199.; 0. ], [ 128.; 142.; 0. ], [ 71.; 142.; 0. ],  [ 71.; 199.; 0. ] ]; 

